Create a service lookup property

post

/api/boss/data/objects/ora/cxServiceCore/common/v1/serviceLookupProperties

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Match All
Show Source
Nested Schema : oraCxServiceCoreCommon.ServiceLookupProperty_post-item
Match All
Show Source
Nested Schema : oraCxServiceCoreCommon.ServiceLookupProperty_item
Match All
Service lookup property includes lookup properties for service channels. It contains information regarding various lookup properties for service channels.
Show Source
Nested Schema : oraCxServiceCoreCommon.ServiceLookupProperty_item-fields
Type: object
Show Source
Nested Schema : Service Lookup Property
Type: object
Title: Service Lookup Property
Service lookup property includes lookup properties for service channels. It contains information regarding various lookup properties for service channels.
Nested Schema : oraCxServiceCoreCommon.ServiceLookupProperty_post-item-allOf[1]
Type: object
Show Source
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : lookupCode
Match All
The lookup code for the lookup property.
Show Source
Nested Schema : lookupType
Match All
The lookup type for the lookup property.
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_abstract-item
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_abstract-item-allOf[0]
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCode_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Lookup Code
Type: object
Title: Lookup Code
The lookup code for the lookup property.
Nested Schema : owningType
Match All
The standard lookup types list of values resource is used to query the list of standard lookup types.
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupType_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupType_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupType_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Standard Lookup Type
Type: object
Title: Standard Lookup Type
The standard lookup types list of values resource is used to query the list of standard lookup types.
Nested Schema : configurationLevel
Match All
Show Source
Nested Schema : restAccessSecured
Match All
Show Source
  • Read Only: true
  • Allowed Values: [ "ANON", "AUTH", "SECURE" ]
Nested Schema : taxonomyNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Taxonomy Node
Type: object
Title: Taxonomy Node
The taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : hierarchySource
Match All
The taxonomy hierarchy represents relationships between taxonomy nodes.
Show Source
Nested Schema : moduleType
Match All
Show Source
  • Read Only: true
  • Allowed Values: [ "APPLICATION", "LBA", "PAGE", "PRODUCT_LINE", "DELIVERY_ROOT", "FAMILY" ]
Nested Schema : oraCommonAppsInfraObjects.TaxonomyHierarchy_item-fields
Type: object
Show Source
Nested Schema : Taxonomy Hierarchy
Type: object
Title: Taxonomy Hierarchy
The taxonomy hierarchy represents relationships between taxonomy nodes.
Nested Schema : sourceNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
Nested Schema : targetNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
Nested Schema : Taxonomy Node
Type: object
Title: Taxonomy Node
The taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : $context
Type: object
Show Source
Nested Schema : Taxonomy Node
Type: object
Title: Taxonomy Node
The taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : Lookup Type
Type: object
Title: Lookup Type
The lookup type for the lookup property.
Nested Schema : lookupCode
Match One Schema
Show Source
Nested Schema : lookupType
Match One Schema
Show Source
Nested Schema : lookupCode-oneOf[0]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : lookupType-oneOf[0]
Type: object
Show Source
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Back to Top

Response

Default Response

no content
Back to Top

Examples

The following example shows how to create a service lookup property by submitting a POST request on the REST resource using cURL.

cURL Command

curl --location 'https://servername.fa.us2.oraclecloud.com/api/boss/data/objects/ora/cxServiceCore/common/v1/$en-US/serviceLookupProperties' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \

Example of Request Body

The following shows the contents of the request body in JSON format.

{
  "propertyLookupType": "ORA_SVC_CHANNEL_TYPE_CD",
  "propertyLookupCode": "ORA_SVC_CHAT_INTERACTIVE2",
  "propertyName": "INTERACTIVE",
  "propertyValue": "N"
}

Example of Response Body

The following shows the contents of the response body in JSON format.

201 Created
Back to Top